diff --git a/doc/src/sgml/images/cluster-db-schema-raw.svg b/doc/src/sgml/images/cluster-db-schema-raw.svg
index 022bc45560..8534b18ec2 100644
--- a/doc/src/sgml/images/cluster-db-schema-raw.svg
+++ b/doc/src/sgml/images/cluster-db-schema-raw.svg
@@ -36,36 +36,49 @@
       <!-- the database -->
       <rect width="225" height="155" rx="10" stroke="blue" fill="none"/>
 
+    </symbol>
+
+    <!-- a rectangle with rounded corners and inner definitions for schemas -->
+    <symbol id="rectangle_special_1">
+
+      <!-- the database -->
+      <rect width="225" height="155" rx="10" stroke="blue" fill="none"/>
+
       <!-- schemas -->
       <rect x="15" y="40" width="195" height="50" rx="10" stroke="blue" fill="none" stroke-dasharray="4 2" />
       <text class="text_normal" x="20" y="60">schema 'public'</text>
-      <text class="text_small"  x="20" y="80">tables, views, ...</text>
+      <text class="text_small"  x="25" y="80">tables, views, ...</text>
 
       <rect x="15" y="105" width="195" height="30" rx="10" stroke="blue" fill="none" stroke-dasharray="4 2" />
-      <text class="text_small"  x="20" y="125">(more system schemas)</text>
+      <text class="text_small"  x="20" y="125">System schemas</text>
     </symbol>
 
     <!-- same as before, but one more schema -->
-    <symbol id="rectangle_special_1">
+    <symbol id="rectangle_special_2">
       <!-- the database -->
       <rect width="245" height="225" rx="10" stroke="blue" fill="none"/>
 
       <!-- schemas -->
       <rect x="15" y="40" width="205" height="50" rx="10" stroke="blue" fill="none" stroke-dasharray="4 2" />
       <text class="text_normal" x="20" y="60">schema 'public'</text>
-      <text class="text_small"  x="20" y="80">tables, views, ...</text>
+      <text class="text_small"  x="25" y="80">tables, views, ...</text>
 
-      <rect x="15" y="105" width="205" height="50" rx="10" stroke="blue" fill="none" stroke-dasharray="4 2" />
-      <text class="text_normal" x="20" y="125">'my_schema' (optional)</text>
-      <text class="text_small"  x="20" y="145">tables, views, ...</text>
+      <rect x="15" y="105" width="205" height="30" rx="10" stroke="blue" fill="none" stroke-dasharray="4 2" />
+      <text class="text_small"  x="20" y="125">System schemas</text>
 
-      <rect x="15" y="170" width="205" height="30" rx="10" stroke="blue" fill="none" stroke-dasharray="4 2" />
-      <text class="text_small"  x="20" y="190">(more system schemas)</text>
+      <rect x="15" y="150" width="205" height="50" rx="10" stroke="blue" fill="none" stroke-dasharray="4 2" />
+      <text class="text_normal" x="20" y="170">'my_schema' (optional)</text>
+      <text class="text_small"  x="25" y="185">tables, views, ...</text>
     </symbol>
 
-    <symbol id="note" stroke="black" fill="lightyellow">
+    <symbol id="note_0" stroke="black" fill="lightyellow">
       <title>UML Note</title>
-      <path d="M 450,10 v 230 h -450 v -240 h 440 v 10 h 10 l -10,-10" />
+      <path d="M 190,10 v 70 h -190 v -80 h 180 v 10 h 10 l -10,-10" />
+    </symbol>
+
+    <symbol id="note_1" stroke="black" fill="lightyellow">
+      <title>UML Note</title>
+      <path d="M 450,10 v 240 h -450 v -250 h 440 v 10 h 10 l -10,-10" />
     </symbol>
 
     <!-- marker start/end -->
@@ -109,23 +122,28 @@
   <g transform="translate(40 155)">
     <use xlink:href="#rectangle_special_0" />
     <text class="text_normal" x="10" y="25">database 'template0'</text>
+    <use xlink:href="#note_0" x="20" y="40" />
+    <text class="text_small"  x="30" y="60">'template0' is a pristine</text>
+    <text class="text_small"  x="30" y="75">and unchangeable template.</text>
+    <text class="text_small"  x="30" y="90">It is used to generate</text>
+    <text class="text_small"  x="30" y="105">database 'template1'.</text>
   </g>
 
   <!-- database template 1 -->
   <g transform="translate(290 155)">
-    <use xlink:href="#rectangle_special_0" />
+    <use xlink:href="#rectangle_special_1" />
     <text class="text_normal" x="10" y="25">database 'template1'</text>
   </g>
 
   <!-- database postgres -->
   <g transform="translate(540 155)">
-    <use xlink:href="#rectangle_special_1" />
+    <use xlink:href="#rectangle_special_2" />
     <text class="text_normal" x="10" y="25">database 'postgres'</text>
   </g>
 
   <!-- database my_db -->
   <g transform="translate(40 350)">
-    <use xlink:href="#rectangle_special_1" />
+    <use xlink:href="#rectangle_special_2" />
     <text class="text_normal" x="10" y="25">database 'my_db' (optional)</text>
   </g>
 
@@ -133,7 +151,6 @@
   <g transform="translate(320 330)">
     <rect x="0" y="0" width="180" height="45" rx="10" stroke="blue" fill="none" stroke-dasharray="10 4 4 4" />
     <text class="text_normal" x="15" y="27">Global SQL objects</text>
-    <path d="M 0,5 l-65,-35" stroke="black" fill="none" marker-end="url(#arrowhead_end)" />
     <path d="M 80,0 v-30" stroke="black" fill="none" marker-end="url(#arrowhead_end)" />
     <path d="M 180,40 h50" stroke="black" fill="none" marker-end="url(#arrowhead_end)" />
     <path d="M 0,40 l-45,20" stroke="black" fill="none" marker-end="url(#arrowhead_end)" />
@@ -141,32 +158,33 @@
 
   <!-- Some comments -->
   <g transform="translate(335 405)">
-    <use xlink:href="#note" x="0" y="0" />
+    <use xlink:href="#note_1" x="0" y="0" />
 
     <text class="text_small" x="10" y="20">1)</text>
-    <text class="text_small" x="30" y="20">By default, you work in the cluster 'data', database 'postgres',</text>
-    <text class="text_small" x="30" y="35">schema 'public'.</text>
-
-    <text class="text_small" x="10" y="55">2)</text>
-    <text class="text_small" x="30" y="55">More system schemas: pg_catalog, information_schema,</text>
-    <text class="text_small" x="30" y="70">pg_temp, pg_toast.</text>
-
-    <text class="text_small" x="10" y="90">3)</text>
-    <text class="text_small" x="30" y="90">Global SQL objects: Some SQL objects are automatically active</text>
-    <text class="text_small" x="30" y="105">and known database- or even cluster-wide.</text>
-
-    <text class="text_small" x="10" y="125">4)</text>
-    <text class="text_small" x="30" y="125">The command 'initdb' creates a new cluster with the three</text>
-    <text class="text_small" x="30" y="140">databases 'template0', 'template1', and 'postgres'. The command</text>
-    <text class="text_small" x="30" y="155">'createdb' creates a new database.</text>
-
-    <text class="text_small" x="10" y="175">5)</text>
-    <text class="text_small" x="30" y="175">If multiple clusters are active on one server at the same time,</text>
-    <text class="text_small" x="30" y="190">each one is managed by an individual instance. Each such instance</text>
-    <text class="text_small" x="30" y="205">uses a different port.</text>
-
-    <text class="text_small" x="10" y="225">6)</text>
-    <text class="text_small" x="30" y="225">No client application is allowed to connect to 'template0'.</text>
+    <text class="text_small" x="30" y="20">By default, clients connect via port '5432' to Cluster 'data',</text>
+    <text class="text_small" x="30" y="35">database 'postgres', schema 'public'. Of course, they can</text>
+    <text class="text_small" x="30" y="50">specify other connection properties.</text>
+
+    <text class="text_small" x="10" y="70">2)</text>
+    <text class="text_small" x="30" y="70">System schemas: pg_catalog, information_schema,</text>
+    <text class="text_small" x="30" y="85">pg_temp, ...</text>
+
+    <text class="text_small" x="10" y="105">3)</text>
+    <text class="text_small" x="30" y="105">Global SQL objects: Objects which are shared among all</text>
+    <text class="text_small" x="30" y="120">databases within a Cluster.</text>
+
+    <text class="text_small" x="10" y="140">4)</text>
+    <text class="text_small" x="30" y="140">The command 'initdb' creates a new cluster with the three</text>
+    <text class="text_small" x="30" y="155">databases 'template0', 'template1', and 'postgres'. The command</text>
+    <text class="text_small" x="30" y="170">'createdb' creates a new database.</text>
+
+    <text class="text_small" x="10" y="190">5)</text>
+    <text class="text_small" x="30" y="190">If multiple clusters are active on one server at the same time,</text>
+    <text class="text_small" x="30" y="205">each one is managed by an individual instance. Each such instance</text>
+    <text class="text_small" x="30" y="220">uses a different port.</text>
+
+    <text class="text_small" x="10" y="240">6)</text>
+    <text class="text_small" x="30" y="240">Client application are prohibited from connecting to 'template0'.</text>
 
   </g>
 
diff --git a/doc/src/sgml/images/directories-raw.svg b/doc/src/sgml/images/directories-raw.svg
index 757342a554..5cce551b0c 100644
--- a/doc/src/sgml/images/directories-raw.svg
+++ b/doc/src/sgml/images/directories-raw.svg
@@ -14,6 +14,12 @@
                  font-family:"Open Sans", sans-serif;
                  fill:black;
                 }
+  .text_italic  {font-style:italic;
+                 font-weight:normal;
+                 font-size:14px;
+                 font-family:"Open Sans", sans-serif;
+                 fill:silver;
+                }
   .text_big     {font-style:normal;
                  font-weight:normal;
                  font-size:24px;
@@ -54,14 +60,14 @@
   <!-- the directories -->
   <g transform="translate(20, 100)">
     <use xlink:href="#directory" />
-    <text x="10"  y="26" class="text_normal">... /pg/</text>
+    <text x="10"  y="26" class="text_italic">/var/lib/pgsql/</text>
     <text x="300" y="26" class="text_normal">An arbitrary directory</text>
   </g>
 
   <g transform="translate(70, 130)">
     <use xlink:href="#directory" />
-    <text x="10"  y="26" class="text_normal">data/</text>
-    <text x="250" y="26" class="text_normal">Root of cluster 'data' (see: PGDATA)</text>
+    <text x="10"  y="26" class="text_italic">data/</text>
+    <text x="250" y="26" class="text_normal">Cluster's root directory (with an arbitrary name; see: PGDATA)</text>
   </g>
 
   <g transform="translate(120, 160)">
@@ -74,46 +80,46 @@
   <g transform="translate(170, 190)">
     <use xlink:href="#directory" />
     <text x="10"  y="26" class="text_normal">1/</text>
-    <text x="150" y="26" class="text_normal">Subdirectory for data of first database 'template0'</text>
+    <text x="150" y="26" class="text_normal">Subdirectory for data in default-tablespace of first database 'template0'</text>
   </g>
   <g transform="translate(170, 220)">
     <use xlink:href="#directory" />
     <text x="10"  y="26" class="text_normal">12992/</text>
-    <text x="150" y="26" class="text_normal">Subdirectory for data of second database 'template1'</text>
+    <text x="150" y="26" class="text_normal">Subdirectory for data in default-tablespace of second database 'template1'</text>
   </g>
   <g transform="translate(170, 250)">
     <use xlink:href="#directory" />
     <text x="10"  y="26" class="text_normal">12999/</text>
-    <text x="150" y="26" class="text_normal">Subdirectory for data of third database 'postgres'</text>
+    <text x="150" y="26" class="text_normal">Subdirectory for data in default-tablespace of third database 'postgres'</text>
   </g>
   <g transform="translate(170, 280)">
     <use xlink:href="#directory" />
     <text x="10"  y="26" class="text_normal">nnnnn/</text>
-    <text x="150" y="26" class="text_normal">Optional: more subdirectories for databases, e.g. 'my_db'</text>
+    <text x="150" y="26" class="text_normal">Optional: one subdirectory for each new database, e.g. '23456' for 'my_db'</text>
   </g>
 
   <g transform="translate(120, 310)">
     <use xlink:href="#directory" />
     <text x="10"  y="26" class="text_normal">global/</text>
-    <text x="200" y="26" class="text_normal">Subdirectory with information about Global SQL Objects</text>
+    <text x="200" y="26" class="text_normal">Subdirectory for information about Global SQL Objects</text>
   </g>
 
   <g transform="translate(120, 340)">
     <use xlink:href="#directory" />
-    <text x="10"  y="26" class="text_normal">pg_wal/</text>
-    <text x="200" y="26" class="text_normal">Subdirectory for Write Ahead Log files ('pg_xlog' before version 10)</text>
+    <text x="10"  y="26" class="text_normal">pg_tblspc/</text>
+    <text x="200" y="26" class="text_normal">Subdirectory for symbolic links to non-default tablespaces</text>
   </g>
 
   <g transform="translate(120, 370)">
     <use xlink:href="#directory" />
-    <text x="10"  y="26" class="text_normal">pg_xact/</text>
-    <text x="200" y="26" class="text_normal">Subdirectory for transaction commit status ('pg_clog' before version 10)</text>
+    <text x="10"  y="26" class="text_normal">pg_wal/</text>
+    <text x="200" y="26" class="text_normal">Subdirectory for Write Ahead Log files ('pg_xlog' before version 10)</text>
   </g>
 
   <g transform="translate(120, 400)">
     <use xlink:href="#directory" />
-    <text x="10"  y="26" class="text_normal">pg_tblspc/</text>
-    <text x="200" y="26" class="text_normal">Subdirectory containing symbolic links to tablespaces</text>
+    <text x="10"  y="26" class="text_normal">pg_xact/</text>
+    <text x="200" y="26" class="text_normal">Subdirectory for transaction commit status ('pg_clog' before version 10)</text>
   </g>
 
   <g transform="translate(120, 430)">
@@ -131,14 +137,14 @@
   <!-- next cluster -->
   <g transform="translate(20, 540)">
     <use xlink:href="#directory" />
-    <text x="10"  y="26" class="text_normal">... /xyz/</text>
+    <text x="10"  y="26" class="text_italic">...</text>
     <text x="300" y="26" class="text_normal">Same or another arbitrary directory</text>
   </g>
 
   <g transform="translate(70, 570)">
     <use xlink:href="#directory" />
-    <text x="10"  y="26" class="text_normal">cluster_2/</text>
-    <text x="250" y="26" class="text_normal">Root of another cluster 'cluster_2'</text>
+    <text x="10"  y="26" class="text_italic">cluster_2/</text>
+    <text x="250" y="26" class="text_normal">Root of another cluster</text>
   </g>
 
 </svg>
diff --git a/doc/src/sgml/images/internal-objects-hierarchy-raw.svg b/doc/src/sgml/images/internal-objects-hierarchy-raw.svg
index a58f334fe3..78850283d9 100644
--- a/doc/src/sgml/images/internal-objects-hierarchy-raw.svg
+++ b/doc/src/sgml/images/internal-objects-hierarchy-raw.svg
@@ -26,7 +26,7 @@
   <!-- start of rendering area -->
   <!-- enclosing rectangle -->
   <rect x="1" y="1" rx="5" width="99%" height="99%" stroke="black" fill="none" />
-  <text class="text_big" x="200" y="40">Hierarchy of internal Objects</text>
+  <text class="text_big" x="200" y="40">Hierarchy of Internal Objects</text>
 
 
   <!-- set centre of figure and default values -->
